https://management-test.adyen.com/v1/companies/{companyId}/apiCredentials/{apiCredentialId}/generateClientKeyReturns a new client key for the API credential identified in the path. You can use the new client key a few minutes after generating it. The old client key stops working 24 hours after generating a new one. To make this request, your API credential must have the following roles: * Management API—API credentials read and write
The unique identifier of the company account.
Unique identifier of the API credential.
{
"success": true,
"data": {
"id": "abc123",
"created_at": "2025-01-01T00:00:00Z"
}
}{
"success": false,
"error": {
"code": "VALIDATION_ERROR",
"message": "Invalid request parameters"
}
}1curl --request POST \2 --url 'https://management-test.adyen.com/v1/companies/{companyId}/apiCredentials/{apiCredentialId}/generateClientKey' \3 --header 'accept: application/json' \4 --header 'content-type: application/json'1{2 "success": true,3 "data": {4 "id": "abc123",5 "created_at": "2025-01-01T00:00:00Z"6 }7}https://management-test.adyen.com/v1/companies/{companyId}/apiCredentials/{apiCredentialId}/generateClientKeyReturns a new client key for the API credential identified in the path. You can use the new client key a few minutes after generating it. The old client key stops working 24 hours after generating a new one. To make this request, your API credential must have the following roles: * Management API—API credentials read and write
The unique identifier of the company account.
Unique identifier of the API credential.
{
"success": true,
"data": {
"id": "abc123",
"created_at": "2025-01-01T00:00:00Z"
}
}{
"success": false,
"error": {
"code": "VALIDATION_ERROR",
"message": "Invalid request parameters"
}
}1curl --request POST \2 --url 'https://management-test.adyen.com/v1/companies/{companyId}/apiCredentials/{apiCredentialId}/generateClientKey' \3 --header 'accept: application/json' \4 --header 'content-type: application/json'1{2 "success": true,3 "data": {4 "id": "abc123",5 "created_at": "2025-01-01T00:00:00Z"6 }7}